#!/usr/bin/env fish

test -d zmk/app || git clone git@github.com:zmkfirmware/zmk.git
docker run -it --rm \
	-v (pwd):/zorne \
	zmkfirmware/zmk-build-arm:2.4 bash -c '
		cd /zorne
		west init
		west update
		west zephyr-export
		west build -s zmk/app -b nice_nano -- -DSHIELD=corne_left -DZMK_CONFIG="./"
		cp build/zephyr/zmk.uf2 corne_left_nice_nano.uf2
		west build --pristine -s zmk/app -b nice_nano -- -DSHIELD=corne_right -DZMK_CONFIG="${GITHUB_WORKSPACE}/config"
		cp build/zephyr/zmk.uf2 corne_right_nice_nano.uf2
		exec bash'
